Bug 1011824 - (CVE-2013-4373) CVE-2013-4373 JON Drift: Malicious drift file import due to insecure temporary file usage
CVE-2013-4373 JON Drift: Malicious drift file import due to insecure temporar...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20131021,reported=2...
: Security
Depends On: 1007220 1011828 1012996
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 04:15 EDT by Arun Babu Neelicattu
Modified: 2015-02-15 16:52 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-21 14:11:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arun Babu Neelicattu 2013-09-25 04:15:39 EDT
A flaw was identified in how JPADriftServerBean instances stored drift files. When unpacking a given zip file, the storeFiles method creates and extracts to a predictable temporary directory. Once extracted all files in this directory are stored. This allows a local attacker to provide their own drift files to be imported into the server instance.
Comment 4 errata-xmlrpc 2013-10-21 13:31:49 EDT
This issue has been addressed in following products:

  Red Hat JBoss Operations Network 3.1.2

Via RHSA-2013:1448 https://rhn.redhat.com/errata/RHSA-2013-1448.html

Note You need to log in before you can comment on or make changes to this bug.